
[sensor]
max_width                      = 2688
max_height                     = 1520
framerate                      = 30
enable_record                  = TRUE
enable_photo                   = TRUE
flip                           = FALSE
mirror                         = FALSE
ldc                            = 0
wdr                            = 0
hdr                            = 0
antifog                        = 0


[vi.0]
chn_id                         = 0
device_name                    = rkispp_m_bypass
buf_cnt                        = 4
width                          = 2688
height                         = 1520
pix_fmt                        = FBC0
module                         = RECORD_MAIN|PHOTO


[vi.1]
chn_id                         = 1
device_name                    = rkispp_scale0
buf_cnt                        = 4
width                          = 0
height                         = 0
pix_fmt                        = NV12
module                         = RECORD_MAIN|PHOTO


[vi.2]
chn_id                         = 2
device_name                    = rkispp_scale1
buf_cnt                        = 2
width                          = 0
height                         = 0
pix_fmt                        = NV12
module                         = NONE


[vi.3]
chn_id                         = 3
device_name                    = rkispp_scale2
buf_cnt                        = 4
width                          = 1280
height                         = 720
pix_fmt                        = NV12
module                         = RECORD_SUB|PREVIEW|LIVE|DISP


[record]
record_type                    = 0
pre_record_time                = 0
pre_record_mode                = 0
lapse_multiple                 = 30
file_num                       = 1


[record.0]
record_time                    = 60
splite_time                    = 60
lapse_interval                 = 60
width                          = 2688
height                         = 1520
bitrate                        = 31457280
gop                            = 30
profile                        = 100
codec_type                     = 0
venc_chn                       = 0
rc_mode                        = CBR
max_qp                         = 48
min_qp                         = 8
full_range                     = TRUE
scaling_list                   = TRUE
hier_qp_en                     = TRUE
hier_qp_delta                  = -3,0,0,0
hier_frame_num                 = 3,0,0,0


[record.1]
record_time                    = 60
splite_time                    = 60
lapse_interval                 = 60
width                          = 1280
height                         = 720
bitrate                        = 4194304
gop                            = 30
profile                        = 100
codec_type                     = 0
venc_chn                       = 1
rc_mode                        = VBR
max_qp                         = 48
min_qp                         = 8
full_range                     = TRUE
scaling_list                   = TRUE
hier_qp_en                     = TRUE
hier_qp_delta                  = -3,0,0,0
hier_frame_num                 = 3,0,0,0


[photo]
image_width                    = 2688
image_height                   = 1520
snap_num                       = 1
venc_chn                       = 2


[preview]
width                          = 1280
height                         = 720
bitrate                        = 4194304
gop                            = 30
profile                        = 100
codec_type                     = 0
venc_chn                       = 1
rc_mode                        = VBR
max_qp                         = 48
min_qp                         = 8
full_range                     = TRUE
scaling_list                   = TRUE
hier_qp_en                     = TRUE
hier_qp_delta                  = -3,0,0,0
hier_frame_num                 = 3,0,0,0


[live]
width                          = 1280
height                         = 720
bitrate                        = 4194304
gop                            = 30
profile                        = 100
codec_type                     = 0
venc_chn                       = 1
rc_mode                        = VBR
max_qp                         = 48
min_qp                         = 8
full_range                     = TRUE
scaling_list                   = TRUE
hier_qp_en                     = TRUE
hier_qp_delta                  = -3,0,0,0
hier_frame_num                 = 3,0,0,0


[display]
width                          = 720
height                         = 1280
enable_buf_pool                = TRUE
buf_pool_cnt                   = 3
rotaion                        = 90
rga_chn                        = 0
device_node                    = /dev/dri/card0
img_type                       = RGB888
plane_type                     = 0
z_pos                          = 0
vo_chn                         = 0

